- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDLinearSpline Class Reference

Represents a Linear spline. More...

`#include <FCDGeometrySpline.h>`

Inheritance diagram for FCDLinearSpline:

List of all members.

## Public Member Functions
| FCDLinearSpline (FCDocument *document)
| Constructor.
virtual | ~FCDLinearSpline ()
| Destructor.
virtual FUDaeSplineType::Type | GetSplineType () const
| FCDSpline method implementation.
bool | AddCV (const FMVector3 &cv)
| Adds a CV to a Linear spline.
void | ToBezier (FCDBezierSpline &toFill)
| Convert the linear segments contained inside this linear spline into Bezier segments.
virtual bool | IsValid () const
| Determines if the spline is valid.

## Detailed Description

Represents a Linear spline.

Linear splines are, like the Bezier splines, represented as an array of adjacent linear segment. Each segment consisting of 2 control vertices, the last one being reused as the first vertex of the next segment. If the spline is closed, the first vertex is also reused for the last vertex of the last segment.

## Constructor & Destructor Documentation

FCDLinearSpline::FCDLinearSpline | ( | FCDocument * | document | ) |

  | Constructor. Parameters:
  | document | The FCollada document that owns this spline.

## Member Function Documentation

bool FCDLinearSpline::AddCV | ( | const FMVector3 & | cv | ) | `[inline]`

  | Adds a CV to a Linear spline. Parameters:
  | cv | 3D position of the CV.

virtual FUDaeSplineType::Type FCDLinearSpline::GetSplineType | ( |  | ) | const`[inline, virtual]`

| FCDSpline method implementation. Returns: The LINEAR spline type. Implements FCDSpline.

virtual bool FCDLinearSpline::IsValid | ( |  | ) | const`[virtual]`

| Determines if the spline is valid. Returns: True is the spline is valid, false otherwise.

void FCDLinearSpline::ToBezier | ( | FCDBezierSpline & | toFill | ) |

  | Convert the linear segments contained inside this linear spline into Bezier segments. Parameters:
  | toFill | The Bezier spline to fill with linear information.

The documentation for this class was generated from the following file:

- FCDocument/FCDGeometrySpline.h